# cv::DataType< std::complex< _Tp > > Class Template Reference

`#include <core.hpp>`

List of all members.

## Public Types

enum | { generic_type = 0, depth = DataDepth<channel_type>::value, channels = 2, fmt = ((channels-1)<<8) + DataDepth<channel_type>::fmt, type = CV_MAKETYPE(depth, channels) }
typedef _Tp | channel_type
typedef std::complex< _Tp > | value_type
typedef Vec< channel_type, channels > | vec_type
typedef value_type | work_type

### template<typename _Tp>
class cv::DataType< std::complex< _Tp > >

## Member Typedef Documentation

template<typename _Tp >

typedef _Tp cv::DataType< std::complex< _Tp > >::channel_type

template<typename _Tp >

typedef std::complex<_Tp> cv::DataType< std::complex< _Tp > >::value_type

template<typename _Tp >

typedef Vec<channel_type, channels> cv::DataType< std::complex< _Tp > >::vec_type

template<typename _Tp >

typedef value_type cv::DataType< std::complex< _Tp > >::work_type

## Member Enumeration Documentation

template<typename _Tp >

anonymous enum

Enumerator:

  generic_type |
  depth |
  channels |
  fmt |
  type |

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines